Могу ли я заставить dnf установить старую версию пакета?

Я хочу установить более старую версию package <x> , и когда я использую dnf она отображает только текущую версию package <x> .

Есть ли способ установить более старые версии с помощью dnf ?

  • Ошибки поиска символов в (Qt?) Динамически связанных библиотеках
  • Ошибка аутентификации su, ошибка sudo
  • как получить информацию. о разных версиях бинарного пакета, которые не находятся в /etc/apt/sources.list?
  • Ли Linux-версия Node.js поставляется в комплекте с libv8?
  • Проверьте и исправьте все файлы из пакетов Debian.
  • Не удалось удалить libglib2.0-0 из Software Center
  • Установите несколько пакетов с помощью разных методов в одной команде Yum
  • При удалении пакета Debian, как я могу удалить файлы Python * .pyc?
  • 2 Solutions collect form web for “Могу ли я заставить dnf установить старую версию пакета?”

    Вы можете установить с использованием определенной версии имени, как описано на странице руководства:

     dnf install tito-0.5.6-1.fc22 

    Установите пакет с определенной версией. Если пакет уже установлен, он автоматически попытается понизить или перейти на определенную версию.

    Чтобы просмотреть все версии пакета в разрешенных репозиториях, используйте:

     dnf --showduplicates list <package> 

    Да. Вы можете установить более старую версию пакета, используя dnf downgrade package-name[-version] если вы уже установили новый. Но старая версия по-прежнему должна быть доступна на зеркалах.

    Если пакет недоступен из зеркал, вы всегда можете скачать его вручную из koji, а затем использовать dnf для понижения, например, dnf downgrade path/to/downloaded.file.rpm . Но с помощью этой методики вам может потребоваться самостоятельно определить зависимости.

    Linux и Unix - лучшая ОС в мире.